Bug 1873430 - --userns=keep-id creates the user but not the corresponding login group
Summary: --userns=keep-id creates the user but not the corresponding login group
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: podman
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1874114 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-28 10:20 UTC by Thorsten Leemhuis
Modified: 2021-04-29 18:21 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-29 18:21:22 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github containers podman issues 7389 0 None closed userns=keep-id creates unnamed user group 2020-09-15 19:32:41 UTC

Description Thorsten Leemhuis 2020-08-28 10:20:18 UTC
Description of problem:
After updating from podman-2.0.4-1.fc32.x86_64.rpm to podman-2.0.5-1.fc32 sudo in toolbox stopped suddenly started to ask for a password I don't have. Downgrading to podman-2.0.4-1.fc32.x86_64.rpm fixed this for me.

Steps to Reproduce:
1. toolbox create
2. toolbox enter
3. sudo whoami


Additional info:
Toolbox also showed a new warning when entering a toolbox with 2.0.5 (vanishes with downgrading, too):
/usr/bin/id: cannot find name for group ID 1000

Comment 1 Debarshi Ray 2020-08-30 22:34:13 UTC
The issue of sudo(8) asking for a password is fixed in Toolbox 0.0.95:
* F33: https://bodhi.fedoraproject.org/updates/FEDORA-2020-885e55baff
* F32: https://bodhi.fedoraproject.org/updates/FEDORA-2020-306addaac0

Testing welcome.

However, the issue of the warning about the missing group when entering a container is something that should be fixed in Podman (or at least that's my understanding):
https://github.com/containers/podman/issues/7389

Comment 2 Debarshi Ray 2020-08-31 15:30:42 UTC
*** Bug 1874114 has been marked as a duplicate of this bug. ***

Comment 3 Lokesh Mandvekar 2020-09-11 14:06:34 UTC
(In reply to Debarshi Ray from comment #1)
> https://github.com/containers/podman/issues/7389

Fixed upstream. Will add to rpm once we have a new tag.

Comment 4 Fedora Program Management 2021-04-29 16:36:23 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Debarshi Ray 2021-04-29 18:21:22 UTC
The fix has since been part of an RPM that was delivered to users. I can't recall the exact NEVRA of the build, though.


Note You need to log in before you can comment on or make changes to this bug.